Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041136
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2019-06-20 14:042019-08-22 14:44
Reporterjoniturralde93View Statuspublic 
Assigned ToAtulOpenbravo 
PriorityhighResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionff3059878ae0
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041136: Import bank statement doesn't consider Business partner if included in the statement (fix included)

DescriptionA partner has customized statements which include the business partner. In their case, the process does not have into account this information but it searches by BP name (they got a business partner with the same name but not the one they had included)

Added a possible fix done by the partner for themselves.
Steps To Reproduce1. Import a statement which has a line for business partner
2. The process doesn't consider it and result can be wrong

(Partner has not provided us with an example of these customized statements, nor a test environment, but code can be checked in FIN_BankStatementImport)
Proposed SolutionAttached patch
TagsNo tags attached.
Attached Filesdiff file icon FIN_BankStatementImport.diff [^] (785 bytes) 2019-06-20 14:04 [Show Content]
csv file icon exampleGenericCSVfile1.csv [^] (136 bytes) 2019-06-28 08:24

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0113079)
AtulOpenbravo (developer)
2019-06-27 19:57

Test Plan

- Install modules
  org.openbravo.bankstatement.importer.generic.csv
  org.openbravo.utility.opencsv

- In method createFIN_BankStatementLine of Utility class in module org.openbravo.bankstatement.importer.generic.csv before line

return newBankStatementLine;

add the below code.

// For testing, set a business partner when loading BSL as Healthy Food Supermarkets, Co.

newBankStatementLine.setBusinessPartner(OBDal.getInstance().get(BusinessPartner.class, "B3ABB0B4AFEA4541AC1E29891D496079"));

// For testing, set a business partner when loading BSL as Company Capital

newBankStatementLine.setGLItem(OBDal.getInstance().get(GLItem.class, "DE339E8EE03D431B8456AEF76C23D09A"));


- Using Enterprise Management Module apply dataset for bank statement importer module.

- Navigate to Financial Account "Bank - Account 1"
- Run import statement process
  select the Bank File (attachement file exampleGenericCSVfile1.csv)
  select File Format as Generic CSV Importer
- Realize that Bank Statement is created with BSL having line information as below:

Though the Business Partner in the csv file is "Sleep Well Hotels, Co." but while importing / loading line it was set as "Healthy Food Supermarkets, Co." and GLItem as Company Capital

In this case BSL is kept with the same information as the that was set during importing/loading line.

Now remove lines added in Utility class. (Do not set Business Partner and GL item while importing/loading)

- BSL would be created with Business Partner as "Sleep Well Hotels, Co." that is fetched from matchBusinessPartner method based on business partner name.
- Edit the BSL created in previous step and Set GL Item to it as "Funds transfer" to the processed BSL line.

- Edit the information in the attached file for eg: Date as 11-09-2019, amount IN = 150,00

- Again run the import statement process with the modified file. Now the BSL is set with business partner as "Sleep Well Hotels, Co." and GLItem as "Funds transfer". This is based on matchPreviousBSL method.
(0113175)
hgbot (developer)
2019-07-04 12:30

Repository: erp/devel/pi
Changeset: ff3059878ae0b64dc2190b038024b7d6c86f1133
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Thu Jun 27 19:42:05 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ff3059878ae0b64dc2190b038024b7d6c86f1133 [^]

Fixes Issue 0041136: Import bank statement doesn't consider Business
partner if included in the statement

**Set the business partner and GLItem in BSL only if BSL does not
have this information at the time of importing/loading BSL's.

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/FIN_BankStatementImport.java
---
(0113176)
Sandrahuguet (developer)
2019-07-04 12:31

code review + testing ok
(0114135)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-06-20 14:04 joniturralde93 New Issue
2019-06-20 14:04 joniturralde93 Assigned To => Triage Finance
2019-06-20 14:04 joniturralde93 File Added: FIN_BankStatementImport.diff
2019-06-20 14:04 joniturralde93 Modules => Core
2019-06-20 14:04 joniturralde93 Triggers an Emergency Pack => No
2019-06-20 14:47 Practics Issue Monitored: Practics
2019-06-21 12:06 joniturralde93 Type feature request => defect
2019-06-24 12:50 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-06-24 21:42 AtulOpenbravo Status new => scheduled
2019-06-27 19:57 AtulOpenbravo Note Added: 0113079
2019-06-28 08:24 AtulOpenbravo File Added: exampleGenericCSVfile1.csv
2019-07-04 12:30 hgbot Checkin
2019-07-04 12:30 hgbot Note Added: 0113175
2019-07-04 12:30 hgbot Status scheduled => resolved
2019-07-04 12:30 hgbot Resolution open => fixed
2019-07-04 12:30 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ff3059878ae0b64dc2190b038024b7d6c86f1133 [^]
2019-07-04 12:31 Sandrahuguet Review Assigned To => Sandrahuguet
2019-07-04 12:31 Sandrahuguet Note Added: 0113176
2019-07-04 12:31 Sandrahuguet Status resolved => closed
2019-07-04 12:31 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114135


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker